commit: 6a2913691ed760852e730ec4b2fbef1f174ca263
Author: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Jan 24 11:46:41 2021 +0000
Commit: Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Jan 24 11:46:41 2021 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=6a291369
media-libs/yocto-gl: version bump 3.3.0
Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
.../yocto-gl/files/yocto-gl-0_bcm-include.patch | 27 ---------------
media-libs/yocto-gl/yocto-gl-0_p20191111.ebuild | 27 ---------------
media-libs/yocto-gl/yocto-gl-3.3.0.ebuild | 39 ++++++++++++++++++++++
3 files changed, 39 insertions(+), 54 deletions(-)
diff --git a/media-libs/yocto-gl/files/yocto-gl-0_bcm-include.patch
b/media-libs/yocto-gl/files/yocto-gl-0_bcm-include.patch
deleted file mode 100644
index 711438fd4..000000000
--- a/media-libs/yocto-gl/files/yocto-gl-0_bcm-include.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-Index: yocto-gl-0_p20191111/CMakeLists.txt
-===================================================================
---- yocto-gl-0_p20191111.orig/CMakeLists.txt
-+++ yocto-gl-0_p20191111/CMakeLists.txt
-@@ -3,7 +3,8 @@ set(name YoctoGL)
- project(${name} VERSION 0.1.0)
-
- include(CTest)
--include(OpticksBuildOptions)
-+find_package(BCM)
-+include(BCMDeploy)
- #[=[
- YoctoGL
- ========
-@@ -14,12 +15,6 @@ Opticks currently uses only glTF 2.0 rea
-
- #]=]
-
--include(GNUInstallDirs)
--set(CMAKE_INSTALL_INCLUDEDIR "externals/include/${name}")
--set(CMAKE_INSTALL_LIBDIR "externals/lib")
--set(CMAKE_INSTALL_BINDIR "lib")
--
--
- set(SOURCES
- yocto/yocto_img.cpp
- yocto/yocto_gltf.cpp
diff --git a/media-libs/yocto-gl/yocto-gl-0_p20191111.ebuild
b/media-libs/yocto-gl/yocto-gl-0_p20191111.ebuild
deleted file mode 100644
index 9dbee5ab4..000000000
--- a/media-libs/yocto-gl/yocto-gl-0_p20191111.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake-utils git-r3
-
-DESCRIPTION="Single File Libraries for Physically-Based Graphics"
-HOMEPAGE="https://github.com/simoncblyth/yocto-gl"
-
-EGIT_REPO_URI="https://github.com/simoncblyth/yocto-gl.git"
-EGIT_COMMIT="3cfcfacafece377b4542a0ffea4030bf13ae8b3c"
-KEYWORDS="~amd64"
-
-LICENSE="MIT"
-SLOT="0"
-
-DEPEND="dev-util/bcm"
-PATCHES=( "${FILESDIR}"/yocto-gl-0_bcm-include.patch )
-
-src_configure() {
- local mycmakeargs=(
- -DCMAKE_INSTALL_INCLUDEDIR=include/YoctoGL
- )
-
- cmake-utils_src_configure
-}
diff --git a/media-libs/yocto-gl/yocto-gl-3.3.0.ebuild
b/media-libs/yocto-gl/yocto-gl-3.3.0.ebuild
new file mode 100644
index 000000000..e6102dde1
--- /dev/null
+++ b/media-libs/yocto-gl/yocto-gl-3.3.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="dev-python/mkdocs-material"
+
+inherit cmake python-any-r1 docs
+
+DESCRIPTION="Single File Libraries for Physically-Based Graphics"
+HOMEPAGE="https://github.com/simoncblyth/yocto-gl"
+SRC_URI="https://github.com/xelatihy/yocto-gl/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-util/bcm"
+
+src_prepare() {
+ sed -i -e 's/isnan/std::isnan/g' libs/yocto/yocto_mesh.cpp || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_INCLUDEDIR=include/YoctoGL
+ )
+
+ cmake_src_configure
+}
+
+src_compile() {
+ docs_compile
+ cmake_src_compile
+}